Article ID: 122416, created on Jul 21, 2014, last review on Jul 21, 2014

  • Applies to:
  • Business Automation 5.5

Symptoms

A third-party payment/domain plugin has been developed using the default SDK template. When installing an rpm, there are warnings:

[root@pba ~]# rpm -Uvh bm-domreg-plugin-mytest-1.0.0-001.x86_64.rpm
Preparing...                ########################################### [100%]
   1:bm-domreg-plugin-mytestwarning: group bm does not exist - using root 11%)
warning: group bm does not exist - using root
warning: group bm does not exist - using root
########################################### [100%]

Cause

bm user is defined in plugin.spec:

[root@pba DomainPluginTemplate]# grep define plugin.spec
%define _linux 1
%define stdusr  bm
%define stdgrp  %{stdusr}

but since PBA 5.5, the default PBA user is pba.

A bug #PBA-57739 ("Incorrect user in SDK templates") has been submitted about the issue.

Resolution

Until the bug is fixed, replace bm user with pba in plugin.spec.

198398b282069eaf2d94a6af87dcb3ff caea8340e2d186a540518d08602aa065 801221f8cd76fba7300d1e6817c8e08b 92711db0799e8aefe8e51f12dace0496 e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF